﻿* {
    margin: 0px;
    padding: 0px;
}

html, body {
    height: 100%;
    width: 100%;
    background-color: #ffffff;
    color: #05273E;
    font-weight: normal;
    font-family: "Segoe UI", "Segoe", "SegoeUI-Regular-final", Tahoma, Helvetica, Arial, sans-serif;
    min-width: 300px;
    -ms-overflow-style: -ms-autohiding-scrollbar;
}

body {
    font-size: 1em;
}

#noScript {
    margin: 16px;
    color: Black;
}

:lang(en-GB) {
    quotes: '\2018' '\2019' '\201C' '\201D';
}

:lang(zh) {
    font-family: 微软雅黑;
}

@-ms-viewport {
    width: device-width;
}

@-moz-viewport {
    width: device-width;
}

@-o-viewport {
    width: device-width;
}

@-webkit-viewport {
    width: device-width;
}

@viewport {
    width: device-width;
}

/* Theme layout styles */

#fullPage, #brandingWrapper {
    width: 100%;
    height: 100%;
    background-color: inherit;
}

#brandingWrapper {
    background-color: #4488dd;
}

#branding {
    /* A background image will be added to the #branding element at run-time once the illustration image is configured in the theme. 
       Recommended image dimensions: 1420x1200 pixels, JPG or PNG, 200 kB average, 500 kB maximum. */
    height: 100%;
    margin-right: 500px;
    margin-left: 0px;
    background-color: inherit;
    background-repeat: no-repeat;
    background-size: cover;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
}

#contentWrapper {
    position: relative;
    width: 500px;
    height: 100%;
    overflow: auto;
    background-color: #ffffff; /* for IE7 */
    margin-left: -500px;
    margin-right: 0px;
}

#content {
    min-height: 100%;
    height: auto !important;
    margin: 0 auto -55px auto;
    padding: 0px 150px 0px 50px;
}

#header {
    font-size: 2em;
    font-weight: lighter;
    font-family: "Segoe UI Light", "Segoe", "SegoeUI-Light-final", Tahoma, Helvetica, Arial, sans-serif;
    padding-top: 90px;
    margin-bottom: 60px;
    min-height: 100px;
    overflow: hidden;
}

    #header img {
        /* Logo image recommended dimension: 60x60 (square) or 350X35 (elongated), 4 kB average, 10 kB maximum. Transparent PNG strongly recommended. */
        width: auto;
        height: auto;
    }

#workArea, #header {
    word-wrap: break-word;
    width: 350px;
}

#workArea {
    margin-bottom: 90px;
}

#footerPlaceholder {
    height: 40px;
}

#footer {
    height: 40px;
    padding: 10px 50px 0px 50px;
    position: relative;
    color: #666666;
    font-size: .82em;
    font-weight: bold;
}

#footerLinks {
    float: none;
    padding-top: 10px;
}

#copyright {
    color: #696969;
}

.pageLink {
    color: #666666;
    padding-left: 16px;
    font-weight: bold;
}

/* Common content styles */

.clear {
    clear: both;
}

.float {
    float: left;
}

.floatReverse {
    float: right;
}

.indent {
    margin-left: 16px;
}

.indentNonCollapsible {
    padding-left: 16px;
}

.hidden {
    display: none;
}

.notHidden {
    display: inherit;
}

.error {
    color: #C02126;
}

.actionLink {
    margin-bottom: 8px;
    display: block;
}

a {
    #color:#2672ec;
    text-decoration: none;
    background-color: transparent;
    color: #05273E;
    font-weight: bold;
    font-size: .82em
}

ul {
    list-style-type: disc;
}

h1, h2, h3, h4, h5, label {
    margin-bottom: 8px;
}

.submitMargin {
    margin-top: 38px;
    margin-bottom: 30px;
}

.topFieldMargin {
    margin-top: 8px;
}

.fieldMargin {
    margin-bottom: 8px;
}

.groupMargin {
    margin-bottom: 30px;
}

.sectionMargin {
    margin-bottom: 64px;
}

.block {
    display: block;
}

.autoWidth {
    width: auto;
}

.fullWidth {
    width: 342px;
}

.fullWidthIndent {
    width: 326px;
}

input {
    max-width: 100%;
    font-family: inherit;
    margin-bottom: 8px;
}

    input[type="radio"], input[type="checkbox"] {
        vertical-align: middle;
        margin-bottom: 0px;
    }

    span.submit, button.submit, input[type="submit"] {
        border: none;
        background-color: rgb(38, 114, 236);
        min-width: 80px;
        width: auto;
        /*height: 30px;*/
        padding: 4px 20px 6px 20px;
        border-style: solid;
        border-width: 1px;
        transition: background 0s;
        color: rgb(255, 255, 255);
        cursor: pointer;
        margin-bottom: 8px;
        -ms-user-select: none;
        -moz-transition: background 0s;
        -webkit-transition: background 0s;
        -o-transition: background 0s;
        -webkit-touch-callout: none;
        -webkit-user-select: none;
        -khtml-user-select: none;
        -moz-user-select: none;
        -o-user-select: none;
        user-select: none;
    }

        input[type="submit"]:hover, span.submit:hover {
            background: rgb(212, 227, 251);
        }

    input.text {
        height: 28px;
        padding: 0px 3px 0px 3px;
        border: solid 1px #BABABA;
    }

select {
    height: 28px;
    min-width: 60px;
    max-width: 100%;
    margin-bottom: 8px;
    white-space: nowrap;
    overflow: hidden;
    box-shadow: none;
    padding: 2px;
    font-family: inherit;
}

h1, .giantText {
    font-size: 2.0em;
    font-weight: lighter;
}

h2, .bigText {
    font-size: 1.33em;
    font-weight: lighter;
}

h3, .normalText {
    font-size: 1.0em;
    font-weight: normal;
}

h4, .smallText {
    font-size: 0.9em;
    font-weight: normal;
}

h5, .tinyText {
    font-size: 0.8em;
    font-weight: normal;
}

.hint {
    color: #999999;
}

.emphasis {
    font-weight: 700;
    color: #2F2F2F;
}

.smallIcon {
    height: 20px;
    padding-right: 12px;
    vertical-align: middle;
}

.largeIcon {
    height: 48px;
    /* width:48px; */
    vertical-align: middle;
}

.largeTextNoWrap {
    height: 48px;
    display: table-cell; /* needed when in float*/
    vertical-align: middle;
    white-space: nowrap;
    font-size: 1.2em;
}

.idp {
    height: 48px;
    clear: both;
    padding: 8px;
    overflow: hidden;
}

    .idp:hover {
        background-color: #cccccc;
    }

.idpDescription {
    width: 80%;
}

/* Form factor: intermediate height layout. Reduce space of the header. */
/*@media only screen and (max-height: 820px) {
    #header {
        padding-top: 40px;
        min-height:0px;
        overflow: hidden;
    }

    #workArea
    {
        margin-bottom:60px; 
    }
}*/

/* Form factor: intermediate height layout. Reduce space of the header. */
/*@media only screen and (max-height: 500px) {
    #header {
        padding-top: 30px;
        margin-bottom: 30px;
    }
    #workArea{
        margin-bottom:40px; 
    }
}*/

/* Form factor: intermediate layout (WAB in non-snapped view falls in here) */
/*@media only screen and (max-width: 600px) {
    html, body {
        min-width: 260px;
    }

    #brandingWrapper {
        display: none;
    }

    #contentWrapper {
        float: none;
        width: 100%;
        margin: 0px auto;
    }

    #content, #footer, #header {
        width: 400px;
        padding-left: 0px;
        padding-right: 0px;
        margin-left: auto;
        margin-right: auto;
    }

    #workArea {
        width: 100%;
    }

    .fullWidth {
        width: 392px;
    }

    .fullWidthIndent {
        width: 376px;
    }
}*/

/*@media only screen and (max-width: 450px) {
    body {
        font-size: 0.8em;
    }

    #content, #footer {
        width:auto;
        margin-right:33px;
        margin-left:25px;
    }

    #header {
        width: auto;
    }

    span.submit, input[type="submit"] {
        font-size: 0.9em;
    }

    .fullWidth
    {
        width:100%;
        margin-left:auto;
        margin-right:auto;
    }

    .fullWidthIndent {
        width: 85%;
    }

    .idpDescription
    {
        width:70%;
    }
}*/

/* Form factor: snapped WAB (for WAB to work in snapped view, the content wrapper width has to be set to 260px) */
/*@media only screen and (max-width:280px)
{
    #contentWrapper
    {
        width:260px;
    }
    .idpDescription
    {
        max-width:160px;
        min-width:100px;
    }
}*/

/* ALPA Custom below */

#copyright {
    color: #696969;
    display: none;
}

#fullPage {
    width: 100%
}

#brandingWrapper {
    width: 47%;
    background-color: #d0e4fa;
}
/* png match was #e1edfa*/
#branding {
    margin-right: 0;
}

.illustrationClass {
    width: 648px; /*648 x 766*/
    background-size: contain !important;
    background-repeat: no-repeat !important;
    background-position: top left;
}

.illustrationClass {
    background-image: url(/images/alpa-login-promo-desktop.svg) !important;
}

#header img {
    width: 118px;
    height: 118px;
    margin-left: -15px;
}

#fullPage {
    display: flex;
    flex-direction: row;
}

#brandingWrapper {
    order: 2;
    min-height: 800px;
    height: 100%;
}

#contentWrapper {
    order: 1;
    display: flex;
    justify-content: flex-end;
    overflow: inherit;
    min-height: 800px;
    height: 100%;
}

#loginMessage {
    margin-bottom: 35px;
}

#header {
    margin-left: -45px;
}

#content {
    margin: 0 auto 0px 80px;
    padding: 0px 120px 0px 50px;
    border-left: 1px solid #D2D4D6;
    padding-left: 0;
}



#footer {
    display: none;
    margin-left: 90px;
    height: 0px;
}

#footerPlaceholder {
    height: 0px;
    margin-left: 90px;
}

#workArea {
    width: 95%;
    margin-left: 90px;
    margin-bottom: 50px;
    font-family: 'Futura-pt-bold', sans-serif;
}

label {
    display: block;
    margin-bottom: 0px;
}

input {
    margin-top: 10px;
    margin-bottom: 25px;
    font-size: 1.1em;
    /*border: solid 1px #b8bdc9;
	border-radius: 0;*/
}

    input.text {
        height: 3.0em;
        padding: 5px;
        border: solid 1px #D2D4D6;
        border-radius: 0;
    }

        input.text:focus {
            border: 1px solid #D2D4D6; /*does not work - overriden by user agent stylesheet */
            border-radius: 0;
        }

#submitButton {
    text-transform: uppercase;
    /*text-align:center;*/
    font-size: 15px;
    padding: 14px 55px 14px 55px;
    /*width: 82px;*/
    /*height:20px;*/
    display: inline-block; /* BREAKS login broker display of the button */
    /*background-color;rgb(38, 114, 236);*/
    background-color: transparent;
    background-image: url("/images/button-bkg.png");
    background-size: contain;
    background-repeat: no-repeat;
    letter-spacing: 2px;
}

.submitMargin {
    margin: 10px 0 25px 0;
}

.groupMargin {
    margin-bottom: 20px;
}

#formsAuthenticationArea {
    font-size: 18px;
    font-family: 'Futura-pt-bold', sans-serif;
}

#userNameArea input, #passwordArea input {
    font-size: 1em;
    font-family: 'Futura-pt', sans-serif;
    /*border: solid 1px #b8bdc9;
	border-radius: 0;*/
}

#introduction .links {
    letter-spacing: 1px;
}

    #introduction .links span {
        display: block;
        float: left;
        margin: 5px 35px 5px 0px;
    }

    #introduction .links p {
        margin: 0px 0px 20px;
    }

    #introduction .links a {
        font-size: 16px;
        font-weight: bold;
        text-transform: uppercase;
        color: #0079c2;
    }

.clearLinks {
    clear: both;
}

.linksFooter a {
    font-size: 20px;
    font-weight: normal;
    text-decoration: underline;
    letter-spacing: normal;
}

.linksFooter {
    font-size: 20px;
    margin-top: 45px;
    font-family: 'Futura-pt', sans-serif;
    letter-spacing: -0.5px;
}

    .linksFooter .specialChar {
        font-size: 18px;
        font-family: sans-serif;
    }

    .linksFooter h2 {
        margin-top: 18px;
        font-size: 2em;
        font-family: 'Lora', "Times New Roman";
    }

.fullWidth {
    width: 100%;
}

#header {
    padding-top: 40px;
    margin-bottom: 24px;
}

h1.header,
#signoutArea .bigText {
    font-size: 40px;
    font-family: 'Lora', "Times New Roman";
    letter-spacing: -1.5px;
}

.mobileImage {
    width: 100%;
    background-color: #e1edfa;
}

/*error text override*/
h4, .smallText {
    font-size: 1.1em;
    font-weight: normal;
}

/* PROMO AREA */

#brandingWrapper {
    background-color: #d4e5f8aa;
}

/* Using a static PNG to represent the right-column promo */
.promoStatic {
    margin-top: 182px;
    /*padding:0 240px 0 100px;*/
    margin-left: 90px;
    width: 542px;
    height: 550px;
    background-image: url("../images/alpa-login-promo-desktop.png");
    background-repeat: no-repeat;
    background-size: cover;
}

/* Container not used, but could hold HTML if needed */
.promoContainer {
    margin-top: 163px;
    padding: 0 240px 0 100px;
}

    .promoContainer h1 {
        margin-bottom: 27px;
    }

    .promoContainer p {
        font-family: "Futura-pt", sans-serif;
        font-size: 20px;
    }

.features {
    margin-top: 40px;
}
/* ... more CSS for feature HTML here */


@media only screen and (max-width: 1400px) {
    .promoStatic {
        margin-left: 60px;
    }
}

@media only screen and (min-width: 1201px) {
    #contentWrapper {
        width: 53%;
        margin-left: 0;
    }

    .mobileImage {
        display: none;
    }
    /*314 x 706*/
}

@media only screen and (min-width:769px) and (max-width: 1200px) {
    html, body {
        /*min-width: 260px;*/
    }

    /*.illustrationClass {width:0px !important; display:none;}*/

    /*#brandingWrapper {
        display: none;
    }*/
    #brandingWrapper {
        width: 100%;
        margin: 0px auto;
        min-height: 700px;
    }

    #contentWrapper {
        width: 50%;
        min-height: 800px;
    }

    .mobileImage {
        display: none;
    }
    /*314 x 706*/

    #fullPage {
        display: flex;
        flex-direction: column;
    }

    #contentWrapper {
        float: none;
        width: 100%;
        margin: 0px auto;
    }

    .promoArea {
        margin: 0 auto 0px 80px;
        padding: 60px 120px 0px 50px;
        border-left: 1px solid #D2D4D6;
        padding-left: 0;
        height: 91%;
    }

    .promoStatic {
        margin-top: 0px;
        margin-bottom: 0;
        margin-left: 90px;
    }
}

@media only screen and (min-width:769px) {
    h1.header {
        font-size: 40px;
    }

    #formsAuthenticationArea {
        font-size: 18px;
    }

    #submitButton {
        font-size: 15px;
        padding: 14px 55px 14px 55px;
        /*width: 82px;*/
    }

    #introduction .links a {
        font-size: 15px;
    }

    .linksFooter {
        font-size: 20px;
        margin-top: 35px;
    }

        .linksFooter a {
            font-size: 20px;
        }
}

@media only screen and (min-width:621px) and (max-width: 768px) {
    #brandingWrapper {
        width: 100%;
        margin: 0px auto;
        min-height: 600px;
    }

    #contentWrapper {
        width: 50%;
        min-height: 780px;
    }

    .mobileImage {
        display: none;
    }
    /*314 x 706*/

    #fullPage {
        display: flex;
        flex-direction: column;
    }

    #contentWrapper {
        float: none;
        width: 100%;
        margin: 0px auto;
    }

    #workArea, #footerPlaceholder {
        margin-left: 60px;
    }

    #content {
        margin: 0 auto 0px 60px;
        padding: 0px 120px 0px 30px;
        border-left: 1px solid #D2D4D6;
        padding-left: 0;
    }

    .promoArea {
        margin: 0 auto 0px 60px;
        padding: 50px 120px 0px 30px;
        border-left: 1px solid #D2D4D6;
        padding-left: 0;
        height: 91%;
    }

    .promoStatic {
        background-image: url("../images/alpa-login-promo-tablet.png");
        margin-top: 0px;
        margin-bottom: 0;
        margin-left: 60px;
    }
}

@media only screen and (min-width:621px) and (max-width: 655px) {
    #contentWrapper {
        min-height: 800px;
    }
}

@media only screen and (min-width:481px) and (max-width:768px) {
    h1.header {
        font-size: 34px;
    }

    #formsAuthenticationArea {
        font-size: 16px;
    }

    #submitButton {
        font-size: 14px;
        padding: 14px 55px 14px 55px;
        /*width: 82px;*/
    }

    #introduction .links a {
        font-size: 14px;
    }

    .linksFooter {
        font-size: 18px;
        margin-top: 35px;
    }

        .linksFooter a {
            font-size: 18px;
        }
}



@media only screen and (min-width: 521px) and (max-width: 620px) {
    #brandingWrapper {
        width: 100%;
        margin: 0px auto;
        min-height: 600px;
    }

    #contentWrapper {
        width: 50%;
        min-height: 780px;
    }

    #header img {
        margin-left: -18px;
    }

    .mobileImage {
        display: none;
    }

    #fullPage {
        display: flex;
        flex-direction: column;
    }

    #contentWrapper {
        float: none;
        width: 100%;
        margin: 0px auto;
    }

    #header {
        margin-left: 30px;
    }

    #workArea, #footerPlaceholder {
        margin-left: 30px;
    }

    #content {
        margin: 0 auto 0px 0px;
        padding: 0px 120px 0px 20px;
        border-left: none;
        padding-left: 0;
    }

    .promoArea {
        margin: 0 auto 0px 0px;
        padding: 50px 120px 0px 20px;
        border-left: none;
        padding-left: 0;
        height: 91%;
    }

    .promoStatic {
        background-image: url("../images/alpa-login-promo-tablet.png");
        margin-top: 0px;
        margin-bottom: 0;
        margin-left: 30px;
    }

    #introduction .links p {
        margin-bottom: 15px;
    }
}

@media only screen and (min-width: 521px) and (max-width: 594px) {
    #contentWrapper {
        min-height: 800px;
    }
}

@media only screen and (max-width: 520px) {
    #brandingWrapper {
        display: none;
    }

    #header img {
        margin-left: -18px;
    }

    #contentWrapper {
        float: none;
        width: 100%;
        margin: 0px auto;
        min-height: 650px;
    }

    #content, #footer, #header {
        width: 100%;
        padding-right: 0px;
        margin-left: auto;
        margin-right: auto;
    }

    #header {
        margin-left: 0px;
        padding-top: 0px;
        margin-bottom: 0px;
    }

    #header, #workArea {
        width: 288px;
        margin-left: auto;
        margin-right: auto;
    }

    #content {
        padding-left: 0px;
        padding-right: 0px;
        border: none;
    }

    .mobileImage img {
        margin: 0px auto;
        padding: 40px 0;
        display: block;
        width: 288px;
    }


    #footerPlaceholder {
        margin-left: 0px;
        /*display:none;*/ /*uncomment to blank the image*/
    }

    #fullPage {
        /*width: 480px;*/
    }

    .fullWidth {
        width: 390px;
    }

    .fullWidthIndent {
        width: 370px;
    }


    h1.header {
        font-size: 28px;
    }

    #formsAuthenticationArea {
        font-size: 15px;
    }

    #introduction .links a {
        font-size: 13px;
    }

    #introduction .links p {
        margin-bottom: 10px;
    }

    .linksFooter {
        font-size: 16px;
        margin-top: 30px;
        padding-bottom: 10px;
    }

        .linksFooter a {
            font-size: 16px;
        }

    .submitMargin {
        margin-bottom: 0px;
    }

    .groupMargin {
        margin-bottom: 10px;
    }
}

/*
@media only screen and (max-width: 390px) {
	#content, #footer, #header {
        width: 360px;
        padding-left: 10px;
        padding-right: 10px;
        margin-left: auto;
        margin-right: auto;
    }
	.fullWidth {
		width: 350px;
	}
	.fullWidthIndent {
        width: 340px;
    }
}

@media only screen and (max-width: 360px) {
	#content, #footer, #header {
        width: 340px;
        padding-left: 10px;
        padding-right: 10px;
        margin-left: auto;
        margin-right: auto;
    }
	.fullWidth {
		width: 330px;
	}
	.fullWidthIndent {
        width: 320px;
    }
}
*/
